/***************************************************************************
                          Xserver.h  -  description
                             -------------------
    begin                : 28.03.04
    copyright            : (C) 2004 by Pablo
    email                : rex@supertux.homelinux.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef XSERVER_H
#define XSERVER_H

#include <stdio.h>
#include <stdlib.h>

#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/Xos.h> // It makes the program some portable within X Servers
#include <X11/Xatom.h>

Display* connectX(Display* disp);
void closeX(Display* disp);
void get_size(Display* disp, size_t* width, size_t* height);
size_t getRootWidth(Display* disp, size_t screenNum); 
size_t getRootHeight(Display* disp, size_t screenNum);


#endif

